<?php
function filter_rest_comments_count_query($query_vars, $request) {
    $orderby = $request->get_param('comments_count');
    if (isset($orderby)) {
        $query_vars["orderby"] = "comment_count";
        $query_vars["key"] = "comments_count";
        $query_vars["order"] = $orderby;
    }
    return $query_vars;
}

add_filter( 'rest_news_query', 'filter_rest_comments_count_query', 10, 2);
add_filter( 'rest_tutorials_query', 'filter_rest_comments_count_query', 10, 2);
add_filter( 'rest_forum_query', 'filter_rest_comments_count_query', 10, 2);